Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 1409943002: Add aecdump support to audioproc_f. (Closed)

Created:
3 years, 8 months ago by Andrew MacDonald
Modified:
3 years, 7 months ago
CC:
webrtc-reviews_webrtc.org, peah-webrtc, tterriberry_mozilla.com, hlundin-webrtc, kwiberg-webrtc, the sun, aluebs-webrtc, bjornv1
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Add aecdump support to audioproc_f. Add a new interface to abstract away file operations. This CL temporarily removes support for dumping the output of reverse streams. It will be easy to restore in the new framework, although we may decide to only allow it with the aecdump format. We also now require the user to specify the output format, rather than defaulting to the input format. TEST=Bit-exact output to the previous audioproc_f version using an input wav file, and to the legacy audioproc using an aecdump file. Committed: https://crrev.com/bdafe31b86e9819b0adb9041f87e6194b7422b08 Cr-Commit-Position: refs/heads/master@{#10460}

Patch Set 1 #

Total comments: 92

Patch Set 2 : Add TickIntervalStats and clarify some documentation. #

Total comments: 2

Patch Set 3 : Back to ProcessChunk. #

Patch Set 4 : Add ChannelBufferWavReader. #

Patch Set 5 : Rebase. #

Patch Set 6 : Fix compile error. #

Patch Set 7 : Minor fixes. #

Patch Set 8 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+465 lines, -161 lines) Patch
M webrtc/common_audio/wav_file.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M webrtc/common_audio/wav_file.cc View 1 2 3 2 chunks +10 lines, -2 lines 0 comments Download
M webrtc/modules/audio_processing/audio_processing_tests.gypi View 1 chunk +3 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/test/audio_file_processor.h View 1 2 3 4 5 1 chunk +139 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/test/audio_file_processor.cc View 1 2 3 4 5 6 1 chunk +177 lines, -0 lines 0 comments Download
M webrtc/modules/audio_processing/test/audioproc_float.cc View 1 2 3 4 5 6 7 4 chunks +56 lines, -146 lines 0 comments Download
M webrtc/modules/audio_processing/test/process_test.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M webrtc/modules/audio_processing/test/test_utils.h View 1 2 3 2 chunks +32 lines, -0 lines 0 comments Download
M webrtc/modules/audio_processing/test/test_utils.cc View 1 2 3 2 chunks +42 lines, -9 lines 0 comments Download
M webrtc/system_wrappers/include/tick_util.h View 1 2 3 4 2 chunks +1 line, -2 lines 0 comments Download

Messages

Total messages: 39 (11 generated)
Andrew MacDonald
3 years, 8 months ago (2015-10-19 19:47:58 UTC) #6
peah-webrtc
Really nice that this work is started!!! Great! https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode37 webrtc/modules/audio_processing/test/audio_file_processor.cc:37: CheckedDivExact(file.sample_rate(), ...
3 years, 8 months ago (2015-10-20 21:17:25 UTC) #7
Andrew MacDonald
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode37 webrtc/modules/audio_processing/test/audio_file_processor.cc:37: CheckedDivExact(file.sample_rate(), AudioFileProcessor::kChunksPerSecond), On 2015/10/20 21:17:25, peah-webrtc wrote: > It ...
3 years, 8 months ago (2015-10-21 00:29:28 UTC) #8
peah-webrtc
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode37 webrtc/modules/audio_processing/test/audio_file_processor.cc:37: CheckedDivExact(file.sample_rate(), AudioFileProcessor::kChunksPerSecond), A, sorry about that. Now I see! ...
3 years, 8 months ago (2015-10-21 08:10:04 UTC) #9
Andrew MacDonald
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h File webrtc/modules/audio_processing/test/audio_file_processor.h (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h#newcode40 webrtc/modules/audio_processing/test/audio_file_processor.h:40: virtual bool ProcessChunk() = 0; On 2015/10/21 08:10:04, peah-webrtc ...
3 years, 8 months ago (2015-10-22 00:12:09 UTC) #10
peah-webrtc
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h File webrtc/modules/audio_processing/test/audio_file_processor.h (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h#newcode40 webrtc/modules/audio_processing/test/audio_file_processor.h:40: virtual bool ProcessChunk() = 0; On 2015/10/22 00:12:09, Andrew ...
3 years, 8 months ago (2015-10-22 04:50:40 UTC) #11
Andrew MacDonald
Let me know if we should discuss this over Hangouts in STO evening time. https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h ...
3 years, 8 months ago (2015-10-22 05:11:55 UTC) #12
peah-webrtc
lgtm https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audioproc_float.cc File webrtc/modules/audio_processing/test/audioproc_float.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audioproc_float.cc#newcode123 webrtc/modules/audio_processing/test/audioproc_float.cc:123: while (processor->ProcessChunk()) { On 2015/10/22 05:11:55, Andrew MacDonald ...
3 years, 8 months ago (2015-10-22 14:38:30 UTC) #13
Andrew MacDonald
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h File webrtc/modules/audio_processing/test/audio_file_processor.h (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h#newcode40 webrtc/modules/audio_processing/test/audio_file_processor.h:40: virtual bool ProcessChunk() = 0; I'd like to settle ...
3 years, 8 months ago (2015-10-22 16:38:20 UTC) #14
peah-webrtc
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h File webrtc/modules/audio_processing/test/audio_file_processor.h (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h#newcode40 webrtc/modules/audio_processing/test/audio_file_processor.h:40: virtual bool ProcessChunk() = 0; On 2015/10/22 16:38:20, Andrew ...
3 years, 8 months ago (2015-10-23 07:42:40 UTC) #15
Andrew MacDonald
Mr. Luebs, any comments? https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h File webrtc/modules/audio_processing/test/audio_file_processor.h (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.h#newcode40 webrtc/modules/audio_processing/test/audio_file_processor.h:40: virtual bool ProcessChunk() = 0; ...
3 years, 8 months ago (2015-10-23 23:58:35 UTC) #16
aluebs-webrtc
This is awesome! Thank you for doing it! :) Sorry for the slow response. https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc ...
3 years, 8 months ago (2015-10-24 00:53:35 UTC) #17
Andrew MacDonald
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode73 webrtc/modules/audio_processing/test/audio_file_processor.cc:73: buffer_writer_.Write(out_buf_); On 2015/10/24 00:53:34, aluebs-webrtc wrote: > It would ...
3 years, 7 months ago (2015-10-29 00:44:50 UTC) #18
aluebs-webrtc
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode73 webrtc/modules/audio_processing/test/audio_file_processor.cc:73: buffer_writer_.Write(out_buf_); On 2015/10/29 00:44:50, Andrew MacDonald wrote: > On ...
3 years, 7 months ago (2015-10-29 01:03:20 UTC) #19
Andrew MacDonald
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode135 webrtc/modules/audio_processing/test/audio_file_processor.cc:135: StreamConfig(msg.reverse_sample_rate(), msg.num_reverse_channels()); On 2015/10/29 01:03:19, aluebs-webrtc wrote: > On ...
3 years, 7 months ago (2015-10-29 01:14:33 UTC) #20
Andrew MacDonald
https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc File webrtc/modules/audio_processing/test/audio_file_processor.cc (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/audio_file_processor.cc#newcode135 webrtc/modules/audio_processing/test/audio_file_processor.cc:135: StreamConfig(msg.reverse_sample_rate(), msg.num_reverse_channels()); On 2015/10/29 01:14:33, Andrew MacDonald wrote: > ...
3 years, 7 months ago (2015-10-30 00:21:16 UTC) #21
aluebs-webrtc
lgtm https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/test_utils.h File webrtc/modules/audio_processing/test/test_utils.h (right): https://codereview.webrtc.org/1409943002/diff/60001/webrtc/modules/audio_processing/test/test_utils.h#newcode49 webrtc/modules/audio_processing/test/test_utils.h:49: explicit ChannelBufferWavWriter(rtc::scoped_ptr<WavWriter> file); On 2015/10/29 01:14:33, Andrew MacDonald ...
3 years, 7 months ago (2015-10-30 01:26:59 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1409943002/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1409943002/180001
3 years, 7 months ago (2015-10-30 01:42:07 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: ios_arm64_dbg on tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/ios_arm64_dbg/builds/5266) ios_rel on tryserver.webrtc (JOB_FAILED, ...
3 years, 7 months ago (2015-10-30 01:42:59 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1409943002/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1409943002/200001
3 years, 7 months ago (2015-10-30 05:50:02 UTC) #30
commit-bot: I haz the power
Committed patchset #8 (id:200001)
3 years, 7 months ago (2015-10-30 06:42:58 UTC) #31
commit-bot: I haz the power
Patchset 8 (id:??) landed as https://crrev.com/bdafe31b86e9819b0adb9041f87e6194b7422b08 Cr-Commit-Position: refs/heads/master@{#10460}
3 years, 7 months ago (2015-10-30 06:43:08 UTC) #32
henrika_webrtc
FYI, this CL breaks building on iOS. See https://chromegw.corp.google.com/i/internal.client.webrtc/builders/iOS64%20Debug/builds/2561 for details.
3 years, 7 months ago (2015-11-04 15:18:55 UTC) #33
Andrew MacDonald
On 2015/11/04 15:18:55, henrika_webrtc wrote: > FYI, this CL breaks building on iOS. > > ...
3 years, 7 months ago (2015-11-04 20:36:09 UTC) #35
Andrew MacDonald
+kjellander in case he has any insight on this.
3 years, 7 months ago (2015-11-04 20:36:34 UTC) #36
kjellander_webrtc
On 2015/11/04 20:36:09, Andrew MacDonald wrote: > On 2015/11/04 15:18:55, henrika_webrtc wrote: > > FYI, ...
3 years, 7 months ago (2015-11-04 21:14:03 UTC) #37
kjellander (google.com)
A revert of this CL (patchset #8 id:200001) has been created in https://codereview.webrtc.org/1411823003/ by kjellander@google.com. ...
3 years, 7 months ago (2015-11-05 13:58:35 UTC) #38
kjellander_webrtc
3 years, 7 months ago (2015-11-05 14:07:01 UTC) #39
Message was sent while issue was closed.
A revert of this CL (patchset #8 id:200001) has been created in
https://codereview.webrtc.org/1423693008/ by kjellander@webrtc.org.

The reason for reverting is: This breaks iOS GYP generation as described on
http://www.webrtc.org/native-code/ios
I'm going to drive getting the build_with_libjingle=1 setting removed from the
bots to match the official instructions.

See https://code.google.com/p/webrtc/issues/detail?id=4653 for more context, as
this is exactly what that issue tries to solve..

Powered by Google App Engine
This is Rietveld 408576698